Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO8.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO8.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO8.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCHNPO8 ;WISC/RHD/DL-MISCELLANEOUS ROUTINES FROM P.O.ADD/EDIT 443.6 ;9/5/00  12:30
-V ;;5.1;IFCAP;**113**;Oct 20, 2000;Build 4
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
 EN1 ;FILE 443.6, FCP #1
@@ -15,5 +15,4 @@
  S PRC("APP")="",X=Z0,PRC("BBFY")=$$BBFY^PRCSUT(PRC("SITE"),PRC("FY"),+X) I PRC("BBFY")="" Q
  S PRC("APP")=$P($$ACC^PRC0C(PRC("SITE"),+X_"^"_PRC("FY")_"^"_PRC("BBFY")),U,11) K Z0,Z1
- I $P($G(^PRC(420,PRC("SITE"),1,+X,0)),U,19)=1 W !,"Sorry, this FCP is inactive!",! K X Q
  Q
  ;
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHPCAR.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHPCAR.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHPCAR.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCHPCAR ;WISC/AKS-Front End questions for Purchase Card processes ;6/9/96  21:40
- ;;5.1;IFCAP;**113**;Oct 20, 2000;Build 4
- ;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
 ASKPO ;Ask If they are processing a purchase or a requisition
  N DIR,Y,PRCHPR,PRCHNE
@@ -83,14 +83,2 @@
  K DA,%A,%B,%
  QUIT
-AOCANPC ;Approving Official Cancel a purchase card order
- N DIC,Y,NREC,X
- W ! S DIC="^PRC(442,",DIC(0)="AEQM"
- S DIC("A")="Select PURCHASE CARD ORDER NUMBER: "
- S DIC("S")="I $P($G(^(7)),U,2)<9,$P($G(^(0)),U,2)=25,($P($G(^(23)),U,11)=""P""!($P($G(^(23)),U,11)=""S""))"
- D ^DIC Q:+Y<0  K DIC
- S %A="Are sure you want to cancel this order",%B="",%=2
- D ^PRCFYN I %<1!(%=2) K %A,%B,% Q
- S DA=+Y,DIE="^PRC(442,",DR=".5///^S X=45" D ^DIE K DIE,DR
- D C2237^PRCH442A
- K DA,%A,%B,%
- QUIT
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHQ4.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHQ4.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHQ4.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCHQ4 ;WOIFO/LKG-RFQ Set up Transmission Records ;7/25/05  15:27
- ;;5.1;IFCAP;**63,114**;Oct 20, 2000;Build 4
- ;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;5.1;IFCAP;**63**;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
 HE ;Set up Heading segment
  N PRCN0,PRCN1,PRCA,PRCB,PRCZ,DA,DIC,DR,DIQ,X,Y
@@ -95,5 +95,5 @@
  . S PRCD=$G(^PRC(444,PRCDA,2,PRCA,1)),PRCG=$P(PRCB,U)
  . S PRCY="IT^"_PRCG_"^"_$S($P(PRCB,U,6)]"":$P(PRCB,U,6),$P(PRCB,U,5)>0:$P($G(^PRC(441.2,$P(PRCB,U,5),0)),U),1:"")_"^^^",PRCCNT=PRCCNT+1
- . I $P($G(^PRC(444,PRCDA,5,0)),U,4)=1,$P($G(^PRC(444,PRCDA,1)),U,8)'="y" S $P(PRCY,U,5)=$P($G(^PRC(444,PRCDA,2,PRCA,5)),U,2)
+ . I $P($G(^PRC(444,PRCDA,5,0)),U,4)=1,$P($G(^PRC(444,PRCDA,1)),U,8)'="y" S $P(PRCY,U,5)=$P($G(^PRC(444,PRCDA,5)),U,2)
  . S PRCY=PRCY_$P(PRCB,U,9)_"^"_$P(PRCB,U,8)_"^"_($P(PRCB,U,2)*100)_"^^"
  . S PRCE=$P(PRCB,U,3) S:PRCE?1.N PRCH=$P($G(^PRCD(420.5,PRCE,0)),U),$P(PRCY,U,9)=PRCH
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCPLO2A.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCPLO2A.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCPLO2A.m	(revision 636)
@@ -1,7 +1,5 @@
 PRCPLO2A ;WOIFO/DAP-stock status report (cont) ; 1/26/06 12:00pm
-V ;;5.1;IFCAP;**83,98,112**;Oct 20, 2000;Build 2
+V ;;5.1;IFCAP;**83,98**;Oct 20, 2000;Build 37
  ;Per VHA Directive 2004-038, this routine should not be modified.
- ;External reference to $$GET1^DIQ(4, is supported by ICR# 10090
- ; *112 changes by: VMP, Holloway,T.
  ;
 ENT ;*83 Building ^TMP with total result data, totaling logic pulled from PRCPRSS0
@@ -105,11 +103,14 @@
  ;
  S %=($G(^TMP($J,1,"ISS","TOTAL"))*365)/DAYS,%=$S('TOTCLOS:0,1:-%/TOTCLOS)
- S $P(^TMP($J,"PRCPSSR4",STA,INV),U,1)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ S $P(^TMP($J,"PRCPSSR4",STA,INV),U,1)=%
  ;Std. Turnover
  S %=($G(^TMP($J,2,"ISS","TOTAL"))*365)/DAYS,%=$S('TOTCLO1:0,1:-%/TOTCLO1)
- S $P(^TMP($J,"PRCPSSR4",STA,INV),U,2)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ S $P(^TMP($J,"PRCPSSR4",STA,INV),U,2)=%
  ;ODI Turnover
  S %=($G(^TMP($J,3,"ISS","TOTAL"))*365)/DAYS,%=$S('TOTCLO2:0,1:-%/TOTCLO2)
- S $P(^TMP($J,"PRCPSSR4",STA,INV),U,3)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ S $P(^TMP($J,"PRCPSSR4",STA,INV),U,3)=%
  ;All Turnover
  S $P(^TMP($J,"PRCPSSR4",STA,INV),U,4)=+$G(^TMP($J,1,"INACTN","TOTAL"))
@@ -127,14 +128,17 @@
  ;
  S %=$S('$G(^TMP($J,1,"VALUE","TOTAL")):0,1:$G(^TMP($J,1,"INACT","TOTAL"))/$G(^TMP($J,1,"VALUE","TOTAL")))
- I %="" S %=0
- S $P(^TMP($J,"PRCPSSR4",STA,INV),U,10)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ I %="" S %=0
+ S $P(^TMP($J,"PRCPSSR4",STA,INV),U,10)=%
  ;Std. Inactive %
  S %=$S('$G(^TMP($J,2,"VALUE","TOTAL")):0,1:$G(^TMP($J,2,"INACT","TOTAL"))/$G(^TMP($J,2,"VALUE","TOTAL")))
- I %="" S %=0
- S $P(^TMP($J,"PRCPSSR4",STA,INV),U,11)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ I %="" S %=0
+ S $P(^TMP($J,"PRCPSSR4",STA,INV),U,11)=%
  ;ODI Inactive %
  S %=$S('$G(^TMP($J,3,"VALUE","TOTAL")):0,1:$G(^TMP($J,3,"INACT","TOTAL"))/$G(^TMP($J,3,"VALUE","TOTAL")))
- I %="" S %=0
- S $P(^TMP($J,"PRCPSSR4",STA,INV),U,12)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ I %="" S %=0
+ S $P(^TMP($J,"PRCPSSR4",STA,INV),U,12)=%
  ;All Inactive %
  ;
@@ -158,14 +162,17 @@
  ;
  S %=$S('$G(^TMP($J,1,"VALUE","TOTAL")):0,1:$G(^TMP($J,1,"LONG","TOTAL"))/$G(^TMP($J,1,"VALUE","TOTAL")))
- I %="" S %=0
- S $P(^TMP($J,"PRCPSSR5",STA,INV),U,7)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ I %="" S %=0
+ S $P(^TMP($J,"PRCPSSR5",STA,INV),U,7)=%
  ;Std. Long Supply %
  S %=$S('$G(^TMP($J,2,"VALUE","TOTAL")):0,1:$G(^TMP($J,2,"LONG","TOTAL"))/$G(^TMP($J,2,"VALUE","TOTAL")))
- I %="" S %=0
- S $P(^TMP($J,"PRCPSSR5",STA,INV),U,8)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ I %="" S %=0
+ S $P(^TMP($J,"PRCPSSR5",STA,INV),U,8)=%
  ;ODI Long Supply %
  S %=$S('$G(^TMP($J,3,"VALUE","TOTAL")):0,1:$G(^TMP($J,3,"LONG","TOTAL"))/$G(^TMP($J,3,"VALUE","TOTAL")))
- I %="" S %=0
- S $P(^TMP($J,"PRCPSSR5",STA,INV),U,9)=$J(%,0,2)
+ I $P(%,".",2) S %=$P(%,".",1)_"."_$E($P(%,".",2),1,2)
+ I %="" S %=0
+ S $P(^TMP($J,"PRCPSSR5",STA,INV),U,9)=%
  ;All Long Supply %
  S $P(^TMP($J,"PRCPSSR5",STA,INV),U,10)=+$G(^TMP($J,1,"CNT","TOTAL"))
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCPUSEL.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCPUSEL.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCPUSEL.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCPUSEL ;WISC/RFJ/DAP-utilities: setup inventory variables ;14 Feb 91
-V ;;5.1;IFCAP;**1,83,110**;Oct 20, 2000;Build 7
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;**1,83**;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;  enter distribution point--input variables:
  ;  prcp("dptype")=distribution point type code [W,P,S]
@@ -20,5 +20,5 @@
  I % S PRCF("X")="S" D ^PRCFSITE I '+$G(PRC("SITE")) K PRC,PRCP Q
  ;
- S %=0 F I="DPTYPE","HIS","I","IN","INV" I '$G(PRCP(I)) S %=1 Q
+ S %=0 F I="DPTYPE","HIS","I","IN","INV" I '$D(PRCP(I)) S %=1 Q
  I '% D DISPLAY Q
  ;
@@ -101,5 +101,5 @@
  ;
  ;
-PARAM(INVPT) ;  set up parameters for inventory point
+PARAM(INVPT)       ;  set up parameters for inventory point
  K PRCP
  N DATA
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSD122.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSD122.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSD122.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCSD122 ;WISC/SAW-CONTROL POINT ACT. 2237 TERM. DISP. CON'T ;4/21/93  08:46
-V ;;5.1;IFCAP;**107**;Oct 20, 2000;Build 13
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  I IOSL-$Y<5 D NEWP^PRCSD121 Q:Z1=U
  W !,"JUSTIFICATION OF NEED OR TURN-IN"
@@ -15,5 +15,5 @@
  W !,?37 K P1 S:$P(^PRCS(410,DA,7),U,3)'="" (P,P1)=$P(^(7),U,3) I $D(P1),$P(^(7),U,6)'="" W "/ES/",$$DECODE^PRCSC1(DA)
  N PRSHLB S PRSHLB=^DD(410,40,0) W ?69,! I $P(^PRCS(410,DA,7),U)'="" S (P,P2)=$P(^(7),U) I $P(PRSHLB,"^",2)[200,$D(^VA(200,P,20)),$P(^(20),U,2)]"" W $E($P(^(20),U,2),1,28)
- I $D(P2),$P(PRSHLB,"^",2)[200,$D(^VA(200,+P2,.13)),$L($P(^(.13),U,2))'>5 W " (",$P(^(.13),U,2),")"
+ I $D(P2),$P(PRSHLB,"^",2)[200,$D(^VA(200,+P2,.13)),$L($P(^(.13),U,2))'>4 W " (",$P(^(.13),U,2),")"
  N PRSHLC S PRSHLC=^DD(410,42,0) K P2 W ?37 I $D(P1),$P(PRSHLC,"^",2)[200,$D(^VA(200,P1,20)),$P(^(20),U,2)]"" W $E($P(^(20),U,2),1,30)
  W ?69,! W:$P(^PRCS(410,DA,7),U,2)'="" $P(^(7),U,2) W ?37 W:$P(^(7),U,4)'="" $P(^(7),U,4) W ?69 I $P(^(7),U,5)'="" S Y=$P(^(7),U,5) D DD^%DT W Y
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSP122.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSP122.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSP122.m	(revision 636)
@@ -1,4 +1,4 @@
 PRCSP122 ;WISC/SAW-CONTROL POINT ACTIVITY 2237 PRINTOUT CON'T ;4/21/93  08:53
-V ;;5.1;IFCAP;**95,107**;Oct 20, 2000;Build 13
+V ;;5.1;IFCAP;**95**;Oct 20, 2000
  ;Per VHA Directive 2004-038, this routine should not be modified.
  I '$D(^PRCS(410,DA,"RM",0)) G DEL
@@ -24,5 +24,5 @@
  K P1 W !,?39,"|" S:$P(^PRCS(410,DA,7),U,3)'="" (P,P1)=$P(^(7),U,3) I $D(P1) W "/ES/",$$DECODE^PRCSC1(DA)
  N PRSHLE S PRSHLE=^DD(410,40,0) W ?72,"|",! I $P(^PRCS(410,DA,7),U)'="" S (P,P2)=$P(^(7),U) I $P(PRSHLE,"^",2)[200,$D(^VA(200,P,20)),$P(^(20),U,2)]"" W $E($P(^(20),U,2),1,31)
- I $D(P2),$P(^DD(410,40,0),"^",2)[200,$D(^VA(200,+P2,.13)),$L($P(^(.13),U,2))'>5 W " (",$P(^(.13),U,2),")"
+ I $D(P2),$P(^DD(410,40,0),"^",2)[200,$D(^VA(200,+P2,.13)),$L($P(^(.13),U,2))'>4 W " (",$P(^(.13),U,2),")"
  K P2 W ?39,"|" I $D(P1),$P(^DD(410,42,0),"^",2)[200,$D(^VA(200,P1,20)),$P(^(20),U,2)]"" W $E($P(^(20),U,2),1,33)
  W ?72,"|",! W:$P(^PRCS(410,DA,7),U,2)'="" $P(^(7),U,2) W ?39,"|" W:$P(^(7),U,4)'="" $P(^(7),U,4) W ?72,"|" S Y=$S($P(^(7),U,7):$P(^(7),U,7),1:$P(^(7),U,5)) I Y D DD^%DT W Y
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSP1A.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSP1A.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSP1A.m	(revision 636)
@@ -1,4 +1,21 @@
 PRCSP1A ;WISC/SAW/BGJ-CONTROL POINT ACTIVITY PRINT OPTIONS CON'T ;5/1/92  9:20 AM [2/18/99 9:02am]
-V ;;5.1;IFCAP;**90**;Oct 20, 2000
+ ;;5.1;IFCAP;**90**;Oct 20, 2000;Build 4
+ ;Modified from FOIA VISTA,
+ ;Copyright 2008 WorldVistA.  Licensed under the terms of the GNU
+ ;General Public License See attached copy of the License.
+ ;
+ ;This program is free software; you can redistribute it and/or modify
+ ;it under the terms of the GNU General Public License as published by
+ ;the Free Software Foundation; either version 2 of the License, or
+ ;(at your option) any later version.
+ ;
+ ;This program is distributed in the hope that it will be useful,
+ ;but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ;MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ;GNU General Public License for more details.
+ ;
+ ;You should have received a copy of the GNU General Public License along
+ ;with this program; if not, write to the Free Software Foundation, Inc.,
+ ;51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  ;Per VHA Directive 10-93-142, this routine should not be modified.
 CPB ;CP BAL
@@ -60,5 +77,5 @@
 HDR2 S P=P+1 W @IOF,"CONTROL POINT BALANCE - ",Z(0)_" "_$P(PRC("CP")," ",2),?50,TDATE,?73,"PAGE ",P,! Q
 HOLD G HDR:$E(IOST,1,2)'="C-"
-CRT W !,"Press return to continue, uparrow (^) to exit: " R Z1:DTIME S:'$T Z1=U I ((Z1'=U)&&('$D(C1)))  D HDR
+CRT W !,"Press return to continue, uparrow (^) to exit: " R Z1:DTIME S:'$T Z1=U I ((Z1'=U)&('$D(C1)))  D HDR
  Q
 CTR ;CEILING TRANS
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSRIG1.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSRIG1.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCSRIG1.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCSRIG1 ;WISC/SAW/KMB/LJP/SC-GENERATE REQUESTS FROM REPETITIVE ITEM LIST FILE (CON'T) ;3-3-93/14:30 ; 3/31/05 3:48pm
-V ;;5.1;IFCAP;**13,81,101,110**;Oct 20, 2000;Build 7
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;**13,81,101**;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
  ;PRC*5.1*81, RIL that originated thru DynaMed is NOT allowed to be
@@ -33,4 +33,5 @@
 SV ;
  I (IO'=IO(0))!($D(ZTQUEUED)) D ^%ZISC
+ G EXIT:$D(ZTQUEUED)
  ;patch *81 -DynaMed trx. is not allowed to be re-used
  N PRCVSY,PRCVID
@@ -38,5 +39,4 @@
  I PRCVSY=1 S PRCVID=$$ITDMID(PRCSRID0)
  I PRCVSY=1,PRCVID=1 G CHK1
- G EXIT:$D(ZTQUEUED)
  U IO(0) S %=2 W !,"Do you wish to re-use this list " D YN^DICN G:%=1 JMP G:%=0 SV
 CHK1 I PRCSCT=PRCSCT(1) S DIK="^PRCS(410.3,",DA=PRCSRID0 D ^DIK G CLS
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCST5.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCST5.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCST5.m	(revision 636)
@@ -1,3 +1,3 @@
-PRCST5 ; GENERATED FROM 'PRCS APPROVE REQUEST' PRINT TEMPLATE (#299) ; 11/15/05 ; (FILE 410, MARGIN=80)
+PRCST5 ; GENERATED FROM 'PRCS APPROVE REQUEST' PRINT TEMPLATE (#299) ; 04/11/06 ; (FILE 410, MARGIN=80)
  G BEGIN
 N W !
Index: FOIAVistA/tag/r/IHS_ROUTINES-AUP/AUPNPAT.m
===================================================================
--- FOIAVistA/trunk/r/IHS_ROUTINES-AUP/AUPNPAT.m	(revision 631)
+++ FOIAVistA/tag/r/IHS_ROUTINES-AUP/AUPNPAT.m	(revision 636)
@@ -1,18 +1,119 @@
-AUPNPAT ;IHS/OHPRD/EDE - POST SELECTION SETS FOR PATIENT LOOKUP ; 24-MAY-1993
- ;;1.0;PCE PATIENT CARE ENCOUNTER;;Aug 12, 1996
- ;;93.2;IHS PATIENT DICTIONARIES.;;JUL 01, 1993
+AUPNPAT ; IHS/CMI/LAB - POST SELECTION SETS FOR PATIENT LOOKUP ;10/10/06  08:57
+ ;;1.0;PCE PATIENT CARE ENCOUNTER;**167**;Aug 12, 1996;Build 22
+ ; Modified from FOIA RPMS,
+ ; Copyright (C) 2007 WorldVistA
+ ;
+ ; This program is free software; you can redistribute it and/or modify
+ ; it under the terms of the GNU General Public License as published by
+ ; the Free Software Foundation; either version 2 of the License, or
+ ; (at your option) any later version.
+ ;
+ ; This program is distributed in the hope that it will be useful,
+ ; but WITHOUT ANY WARRANTY; without even the implied warranty of
+ ; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ ; GNU General Public License for more details.
+ ;
+ ; You should have received a copy of the GNU General Public License
+ ; along with this program; if not, write to the Free Software
+ ; Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  ;
  ; This routine sets standard patient variables
- ;
+ ;IHS/SET/GTH AUPN*99.1*8 10/04/2002 Removed all refs to AUPN*93.2*3.
 START ;
  S:$D(X) AUPNPATX=X
  S AUPNPAT=+Y
  S AUPNSEX=$P(^DPT(AUPNPAT,0),U,2),AUPNDOB=$P(^(0),U,3),AUPNDOD="" S:$D(^(.35)) AUPNDOD=$P(^(.35),U,1)
- S X2=AUPNDOB,X1=$S('AUPNDOD:DT,AUPNDOD:AUPNDOD,1:DT) D ^%DTC S AUPNDAYS=X K X,X1,X2
+ S X2=AUPNDOB,X1=$S('AUPNDOD:DT,AUPNDOD:AUPNDOD,1:DT)
+ D ^%DTC
+ S AUPNDAYS=X
+ K X,X1,X2
  S:$D(AUPNPATX) X=AUPNPATX
  K %T,%Y,AUPNPATX
+ ;New EHR code    ;DAOU/WCJ   2/8/05
+ ; VOE change to permit VA, IHS and VOE to use the same code
+ Q:$G(DUZ("AG"))="V"  ; WV/CJS
+ ;End EHR modifications
+ S DFN=AUPNPAT
+ S SSN=$$SSN(AUPNPAT)
+ S AGE=$$AGE(AUPNPAT)
+ S DOB=$$DOB(AUPNPAT)
+ S SEX=$$SEX(AUPNPAT)
  Q
  ;
-KILL ; KILL VARIABLES SET BY THIS ROUTINE
+KILL ;PEP - KILL VARIABLES SET BY THIS ROUTINE
  K AUPNPAT,AUPNSEX,AUPNDOB,AUPNDOD,AUPNDAYS
+ ;New EHR code    ;DAOU/WCJ   2/8/05
+ ; VOE change to permit VA, IHS and VOE to use the same code
+ Q:$G(DUZ("AG"))'="E"
+ ;End EHR modifications
+ K AGE,DFN,DOB,SEX,SSN
  Q
+ ;
+ ;  NOTE TO PROGRAMMERS:
+ ;   All parameters are required, except the Format parameter ("F").
+ ;   The default for the Format parameter is the internal format of
+ ;   the returned value.
+ ;
+AGE(DFN,D,F) ;PEP - Given DFN, return Age.
+ ;return age on date d in format f (defaults to DT and age in years)
+ Q $$AGE^AUPNPAT3(DFN,$G(D),$G(F))
+ ;
+BEN(DFN,F) ;PEP - returns classifications/beneficiary in format F.
+ Q $$BEN^AUPNPAT3(DFN,$G(F))
+ ;
+BENYN(DFN) ;PEP - Return BEN/Non-BEN Status.
+ Q $$BEN^AUPNPAT1(DFN)
+ ;
+CDEATH(DFN,F) ;PEP - returns Cause of Death in F format
+ Q $$CDEATH^AUPNPAT3(DFN,$G(F))
+ ;
+COMMRES(DFN,F) ;PEP - Given DFN, return comm of res in F format
+ Q $$COMMRES^AUPNPAT3(DFN,$G(F))
+ ;
+DEC(PID) ;PEP - RETURN DECRYPTED PATIENT IDENTIFIER
+ G DEC^AUPNPAT4
+ ;----------
+ENC(DFN) ;PEP
+ G ENC^AUPNPAT4
+ ;----------
+DOB(DFN,F) ;PEP - Given DFN, return Date of Birth according to F.
+ Q $$DOB^AUPNPAT3(DFN,$G(F))
+ ;
+DOD(DFN,F) ;PEP - Given DFN, return Date of Death in FM format.
+ Q $$DOD^AUPNPAT3(DFN,$G(F))
+ ;
+ELIGSTAT(DFN,F) ;PEP - returns eligibility status in F format
+ Q $$ELIGSTAT^AUPNPAT3(DFN,$G(F))
+ ;
+HRN(DFN,L,F) ;PEP
+ ;f patch 4 05/08/96
+ Q $$HRN^AUPNPAT3(DFN,L,$G(F))
+ ;
+MCD(P,D) ;PEP - Is patient P medicaid eligible on date D?
+ Q $$MCD^AUPNPAT2(P,D)
+ ;
+MCDPN(P,D,F) ;PEP - return medicaid plan name for patient P on date D in form F.
+ Q $$MCDPN^AUPNPAT2(P,D,$G(F))
+ ;
+MCR(P,D) ;PEP - Is patient P medicare eligible on date D?
+ Q $$MCR^AUPNPAT2(P,D)
+ ;
+PI(P,D) ;PEP - Is patient P private insurance eligible on date D?
+ Q $$PI^AUPNPAT2(P,D)
+ ;
+PIN(P,D,F) ;PEP - return private insurer name for patient P on date D in form F.
+ Q $$PIN^AUPNPAT2(P,D,$G(F))
+ ;
+SEX(DFN) ;PEP - Given DFN, return Sex.
+ Q $$SEX^AUPNPAT3(DFN)
+ ;
+SSN(DFN) ;PEP - Given DFN, return SSN.
+ Q $$SSN^AUPNPAT3(DFN)
+ ;
+TRIBE(DFN,F) ;PEP - Given DFN, return Tribe in F format
+ Q $$TRIBE^AUPNPAT3(DFN,$G(F))
+ ;
+ ;Begin New Code;IHS/SET/GTH AUPN*99.1*8 10/04/2002
+RR(P,D) ;PEP -  Is patient P railroad eligible on date D?
+ Q $$RRE^AUPNPAT2(P,D)
+ ;End New Code;IHS/SET/GTH AUPN*99.1*8 10/04/2002
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGBAPIP.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGBAPIP.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGBAPIP.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGBAPIP ;WOIFO/MLH - Background Processor API to build queues - Modules for place
- ;;3.0;IMAGING;**1,7,8,20,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**1,7,8,20**;Apr 12, 2006
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -17,11 +16,11 @@
  ;; +---------------------------------------------------------------+
  ;;
-DUZ2PLC(WARN) ;Convert DUZ to a PLACE. File 2006.1 entry (PLACE)
- ; Extrinsic : Always returns a PLACE
- ; WARN          : message about where the PLACE was derived from.
+DUZ2PLC(WARN) ; Moved from MAGGTU3 v2.5 - DBI - SEB Patch 4
+ ; Extrinsic : Always returns a PLACE /gek 8/2003
+ ; WARN          : message about where the PLACE was derived from.  /gek 8/2003
  ; Compute the Users Institution for older versions of Imaging Display workstation.
- ; This is called when DUZ(2) doesn't exist Or Can't resolve DUZ(2)
- ;  into site param entry.  This solved a GateWay Problem where DUZ(2) didn't
- ;  exist.  - Shouldn't get here anymore, that was fixed.
+ ; This is called when : 
+ ;               DUZ(2) doesn't exist, 
+ ;               Or Can't resolve DUZ(2) into site param entry
  N MAGINST,DIVDTA,PLACE
  S MAGINST=0
@@ -38,10 +37,11 @@
  Q PLACE
  ;
-DA2PLC(MAGDA,TYPE) ; Get Place from Image File IEN
+DA2PLC(MAGDA,TYPE) ; Moved from MAGGTU7 v2.5 - DBI - SEB Patch 4
  ; TYPE :        Possible values "A" Abstract, "F" Full Res or "B" Big File
  ; (defaults to "F" if null)
- ; Resolve Place (PLC) using the Acquisition Site field (ACQS)
- ; IF ACQS is null or not doesn't exist in the site parameter file
- ; THEN Resolve PLC using NetWork Location pointer
+ ; Resolve current place of image using the Acquisition Site field, then
+ ; resolve current place of image using NetWork Location pointer
+ ; if the Acquisition Site field is null or not related to the site 
+ ; parameter file.
  ; 
  N MAGREF,MAG0,FBIG,SITE,PLC,MAGJB
@@ -49,7 +49,6 @@
  S SITE=$P($G(^MAG(2005,MAGDA,100)),U,3)
  I SITE S PLC=$$PLACE^MAGBAPI(SITE) Q:PLC PLC
- ; p59  Stop the error when an Image is Deleted.
- S MAG0=$G(^MAG(2005,MAGDA,0)) Q:MAG0="" 0
- ;
+ S MAG0=^MAG(2005,MAGDA,0)
+ ;I '$D(TYPE) S TYPE="F" /gek 8/2003  mod for efficiency (from ed)
  S TYPE=$E($G(TYPE)_"F",1)
  I "AF"[TYPE D
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGBRTE5.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGBRTE5.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGBRTE5.m	(revision 636)
@@ -23,5 +23,5 @@
  . N CP,M1,M2,MAX,B,E,L,RD,T
  . ;
- . L +^MAGRT(2006.5906,0):1E9 ; Background task must wait for lock
+ . L +^MAGRT(2006.5906,0):19 ; Background task must wait for lock
  . ;
  . ; Clean up old info
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGBRTUT.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGBRTUT.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGBRTUT.m	(revision 636)
@@ -117,5 +117,5 @@
  N D0,MORE,N,P1,P4,P5,P6,P7,P8,TIME
  S TIME=$$STAMP($H)+55,N=0,MORE=0
- L +^MAGQUEUE(2006.03,0):1E9 ; Background process must wait
+ L +^MAGQUEUE(2006.03,0):19 ; Background process must wait
  S D0="" F  S D0=$O(^MAGQUEUE(2006.03,"B","EVAL",D0)) Q:D0=""  D  Q:MORE
  . S X=$G(^MAGQUEUE(2006.03,D0,0))
@@ -168,5 +168,5 @@
  I KEY'=5,KEY'=6 S OUT="-3,Invalid key specified ("_KEY_")" Q
  ;
- L +^MAG(2006.587,0):1E9 ; Background process MUST wait
+ L +^MAG(2006.587,0):19 ; Background process MUST wait
  S (N,D0)=0 F  S D0=$O(^MAG(2006.587,D0)) Q:'D0  D
  . S X=$G(^MAG(2006.587,D0,0)),ID=$P(X,"^",KEY) Q:ID'=OLD
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGDHL7.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGDHL7.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGDHL7.m	(revision 636)
@@ -136,5 +136,5 @@
  N D0,HDR
  S DATE=DATE\1
- L +^MAGDHL7(2006.5,0):1E9 ; Background process MUST wait
+ L +^MAGDHL7(2006.5,0):19 ; Background process MUST wait
  S D0=$O(^MAGDHL7(2006.5," "),-1)+1
  S ^MAGDHL7(2006.5,D0,0)=DATE
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGDRPC3.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGDRPC3.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGDRPC3.m	(revision 636)
@@ -133,5 +133,5 @@
  . Q
  ;
- L +^MAGDOUTP(2006.574,0):1E9 ; Background process MUST wait
+ L +^MAGDOUTP(2006.574,0):19 ; Background process MUST wait
  S P=$P($G(^MAG(2005,IMAGE,0)),"^",10),P=$S(P:P,1:IMAGE)
  S STUID=$P($G(^MAG(2005,P,"PACS")),"^",1) S:STUID="" STUID="?"
@@ -199,5 +199,5 @@
  Q:OLD 1
  ;
- L +^MAGDOUTP(2006.574,D0,1,0):1E9 ; Background Process MUST wait
+ L +^MAGDOUTP(2006.574,D0,1,0):19 ; Background Process MUST wait
  S X=$G(^MAGDOUTP(2006.574,D0,1,0))
  S $P(X,"^",1,2)="^2006.5744"
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNLKP.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGNLKP.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNLKP.m	(revision 636)
@@ -1,5 +1,5 @@
 MAGGNLKP ;WOIFO/GEK - Lookup from delphi into any file ; [ 06/20/2001 08:56 ]
- ;;3.0;IMAGING;**8,92,46,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8,92**;Jan 10, 2007;Build 1
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -36,4 +36,5 @@
  ;                       Defaults to "B"
  ;    
+ ;
  N $ETRAP,$ESTACK S $ETRAP="D ERRA^MAGGTERR"
  ;
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGNTI.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGNTI ;WOIFO/GEK - Imaging interface to TIU RPC Calls etc. ; 04 Apr 2002  2:37 PM
- ;;3.0;IMAGING;**10,8,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**10,8**;Sep 15, 2004
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,4 +8,5 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
+ ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -20,5 +20,4 @@
  ; Call to file TIU and Imaging Pointers
  ; TIU API to add image to TIU
- N X
  I $P(^TIU(8925,TIUDA,0),U,2)'=$P(^MAG(2005,MAGDA,0),U,7) S MAGRY="0^Patient Mismatch." Q
  D PUTIMAGE^TIUSRVPL(.MAGRY,TIUDA,MAGDA) ;
@@ -28,16 +27,14 @@
  ; DONE.
  S MAGRY="1^Image pointer filed successfully"
- ; Now we save the PARENT ASSOCIATION Date/Time 
- D LINKDT^MAGGTU6(.X,MAGDA)
  Q
 DATA(MAGRY,TIUDA) ;RPC [MAG3 TIU DATA FROM DA]
  ; Call to get TIU data from the TIUDA
- ; Return =     TIUDA^Document Type ^Document Date^DFN^Author DUZ
+ ; Return =     TIUDA^Document Type ^Document Date^DFN
  ;
- S MAGRY=TIUDA_U_$$GET1^DIQ(8925,TIUDA,".01","E")_U_$$GET1^DIQ(8925,TIUDA,"1201","I")_U_$$GET1^DIQ(8925,TIUDA,".02","I")_U_$$GET1^DIQ(8925,TIUDA,"1202","I")_U
+ S MAGRY=TIUDA_U_$$GET1^DIQ(8925,TIUDA,".01","E")_U_$$GET1^DIQ(8925,TIUDA,"1201","I")_U_$$GET1^DIQ(8925,TIUDA,".02","I")
  Q
 IMAGES(MAGRY,TIUDA) ;RPC [MAG3 CPRS TIU NOTE]
  ; Call to get all images for a given TIU DA
- ; We first get all Image IEN's breaking groups into separate images
+ ; We first get all Image IEN's breaking groups into seperate images
  ; Then get Image Info for each one.
  ; MAGRY    -     Return array of Image Data entries
@@ -47,5 +44,5 @@
  ;
  ; Call TIU API to get list of Image IEN's
- N MAGARR,CT,TCT,I,J,Z K ^TMP($J,"MAGGX")
+ N MAGARR,CT,TCT K ^TMP("MAGGX",$J)
  N DA,MAGQI,MAGNCHK,MAGXX,MAGRSLT
  N TIUDFN,MAGQUIT ; MAGQI 8/22/01
@@ -78,16 +75,16 @@
  . . ;   children.  Later when list is looped through, it's INFO^MAGGTII will be in 
  . . ;   list.  Have to do this to allow other images in list from TIU to be processed.
- . . D CHK^MAGGSQI(.MAGQI,DA) I 'MAGQI(0) S CT=CT+1,^TMP($J,"MAGGX",CT)=DA Q
+ . . D CHK^MAGGSQI(.MAGQI,DA) I 'MAGQI(0) S CT=CT+1,^TMP("MAGGX",$J,CT)=DA Q
  . . S J=0 ; the following line needs to take only the first piece of the node - PMK 4/4/02
- . . F  S J=$O(^MAG(2005,DA,1,J)) Q:'J  S CT=CT+1,^TMP($J,"MAGGX",CT)=$P(^(J,0),"^")
+ . . F  S J=$O(^MAG(2005,DA,1,J)) Q:'J  S CT=CT+1,^TMP("MAGGX",$J,CT)=$P(^(J,0),"^")
  . S CT=CT+1
- . S ^TMP($J,"MAGGX",CT)=DA
+ . S ^TMP("MAGGX",$J,CT)=DA
  ; Now get image info for each image
  ;
  S Z=""
  S MAGQUIET=1
- F  S Z=$O(^TMP($J,"MAGGX",Z)) Q:Z=""  D
- . S TCT=TCT+1,MAGXX=^TMP($J,"MAGGX",Z)
- . ;GEK 8/24/00 Stopping the Invalid Image IEN's and Deleted Images
+ F  S Z=$O(^TMP("MAGGX",$J,Z)) Q:Z=""  D
+ . S TCT=TCT+1,MAGXX=^TMP("MAGGX",$J,Z)
+ . ;GEK 8/24/00 Stoping the Invalid Image IEN's and Deleted Images
  . I '$D(^MAG(2005,MAGXX)) D  Q
  . . D INVALID^MAGGTIG(MAGXX,.MAGRSLT) S MAGRY(CT)=MAGRSLT
@@ -96,5 +93,5 @@
  K MAGQUIET
  S MAGRY(0)=TCT_"^"_TCT_" Images for the selected TIU NOTE"
- ; Put the Image IEN of the last image into the group IEN field.
+ ; PUT THE Image IEN of the last image into the group ien field.
  Q:'TCT
  S $P(MAGRY(0),U,3)=TIUDA
@@ -103,5 +100,5 @@
  S $P(MAGRY(0),U,4)=$$GET1^DIQ(8925,TIUDA,".02","E")_"  "_$P(MAGRSLT,U,2)_"  "_$$FMTE^XLFDT($P(MAGRSLT,U,3),"8")
  ;
- S $P(MAGRY(0),U,5)=$S($P($G(MAGFILE),U):$P(MAGFILE,U),$G(MAGXX):MAGXX,1:0)
+ S $P(MAGRY(0),U,5)=$S($P($G(MAGFILE),U):$P(MAGFILE,U),1:MAGXX)
  Q
  ;. S Z=ISDELIMG(DA) I Z S TCT=TCT+1,MAGRY(TCT)="B2^"_$P(Z,U,2) Q
@@ -123,38 +120,2 @@
  S $P(Z,U,17)=$P(MAGR,U,2)
  Q Z
-ISDOCCL(MAGRY,IEN,TIUFILE,CLASS) ;RPC [MAGG IS DOC CLASS]
- ;Checks to see if IEN of TIU Files 8925 or 8925.1 is of a certain Doc Class 
- ;MAGRY  = Return String  
- ;                 for Success   "1^message"
- ;                 for Failure   "0^message"
- ;IEN    = Internal Entry Number in the TIUFILE
- ;TIUFILE = either 8925   if we need to see if a Note is of a Document Class 
- ;            or   8925.1 if we need to see if a Title is of a Document Class
- ;CLASS  = Text Name of the Document Class   example: "ADVANCE DIRECTIVE"
- ;
- S MAGRY="0^Unknown Error checking TIU Document Class"
- K MAGTRGT,DEFIEN,DOCCL,RES,DONE,NTTL
- S DONE=0
- ; If we're resolving a Title
- I TIUFILE="8925.1" D  Q:DONE
- . S DEFIEN=IEN,NTTL="Title"
- . I '$D(^TIU(8925.1,DEFIEN,0)) S MAGRY="0^Invalid Title IEN",DONE=1 Q
- . Q
- ; If we're resolving a Note
- I TIUFILE="8925" D  Q:DONE
- . S NTTL="Note"
- . I '$D(^TIU(8925,IEN)) S MAGRY="0^Invalid Note IEN",DONE=1 Q
- . ; Get Title IEN from Note IEN
- . S DEFIEN=$$GET1^DIQ(8925,IEN_",",.01,"I")
- . I DEFIEN="" S MAGRY="0^Error resolving Document Class from Note IEN" S DONE=1 Q
- . Q
- ;
- ; Find the IEN in 8925.1 for Document Class (CLASS) 
- D FIND^DIC(8925.1,"","@;.001","X",CLASS,"","","I $P(^(0),U,4)=""DC""","","MAGTRGT")
- S DOCCL=$G(MAGTRGT("DILIST",2,1))
- ;
- ; See if ^TIU(8925.1,DEFIEN is of Document Class DOCCL
- S RES=$$ISA^TIULX(DEFIEN,DOCCL)
- I RES S MAGRY="1^The "_NTTL_" is of Document Class "_CLASS Q
- S MAGRY="0^The "_NTTL_" is Not of Document Class "_CLASS
- Q
